ome-qtwidgets 5.3.2

Static Public Attributes | List of all members
ome::qtwidgets::TexelProperties< ::ome::xml::model::enums::PixelType::BIT > Struct Template Reference

Properties of BIT texels. More...

`#include <ome/qtwidgets/TexelProperties.h>`

Inheritance diagram for ome::qtwidgets::TexelProperties< ::ome::xml::model::enums::PixelType::BIT >:
[legend]
Collaboration diagram for ome::qtwidgets::TexelProperties< ::ome::xml::model::enums::PixelType::BIT >:
[legend]

## Static Public Attributes
static const GLenum | internal_format = GL_R8
| Internal pixel format (single 8-bit float channel).
static const GLenum | external_format = GL_RED
| External pixel format (single channel).
static const GLint | external_type = GL_UNSIGNED_BYTE
| External pixel type (`uint8_t`).
static const ::ome::xml::model::enums::PixelType::enum_value | fallback_pixeltype = ome::xml::model::enums::PixelType::BIT
| External pixel format fallback.
static const bool | conversion_required = true
| OME-Files type does not match the GL type; convert to 0 or 255 for 0 and 1, respectively.
static const bool | normalization_required = false
| Pixel values are automatically normalized by GL.
static const GLint | minification_filter = GL_NEAREST_MIPMAP_LINEAR
| Default minification filter.
static const GLint | magnification_filter = GL_NEAREST
| Default magnification filter.
Static Public Attributes inherited from ome::files::PixelProperties< ::ome::xml::model::enums::PixelType::BIT >
static const bool | is_signed
static const bool | is_integer
static const bool | is_complex

## Additional Inherited Members
Public Types inherited from ome::files::PixelProperties< ::ome::xml::model::enums::PixelType::BIT >
typedef bool | std_type
typedef ome::common::boolean | big_type
typedef ome::common::boolean | little_type
typedef ome::common::boolean | native_type
Static Public Member Functions inherited from ome::files::PixelProperties< ::ome::xml::model::enums::PixelType::BIT >
static pixel_size_type | pixel_significant_bit_size ()
Static Public Member Functions inherited from PixelPropertiesBase< PixelProperties< ::ome::xml::model::enums::PixelType::BIT > >
static pixel_size_type | pixel_byte_size ()
static pixel_size_type | pixel_bit_size ()
static pixel_size_type | pixel_significant_bit_size ()

## Detailed Description

### template<>
struct ome::qtwidgets::TexelProperties< ::ome::xml::model::enums::PixelType::BIT >

Properties of BIT texels.

The documentation for this struct was generated from the following file:

- ome/qtwidgets/TexelProperties.h